function [node, element] = c3d20(a, ndiv)
% author: Ji Wan, Wuhan University, Email: wanji@whu.edu.cn
% date: 2021-06-25
% date: 2021-06-29 renamed from rectC3D20 to c3d20
[node, element] = c3d27(a, ndiv);
e9 = element(:,21:27);
element = element(:,1:20); % 20 nodes
ka= 1:1:size(node,1);
kb = ka;
kb(e9) = NaN;
flag = isnan(kb);
node(flag,:) = []; % 结点删除
kb(~flag) = 1:1:numel(flag)-sum(flag); % 重新编号
element = kb(element); % 编号置换
end